#include <iostream>

using namespace std;

int main()
{
    long long n,i,x,d,dmin,dmax;
    ios_base::sync_with_stdio(false);
    cin.tie(NULL);
    cin>>n>>x;
    cin>>d;
    dmin=d;
    dmax=d;
    for(i=1;i<n;i++)
    {
        cin>>d;
        if(d<dmin) dmin=d;
        if(d>dmax) dmax=d;
    }
    if(x<dmin) cout<<dmax-x<<endl;
    else if(x>dmax) cout<<x-dmin<<endl;
    else if(x-dmin<dmax-x)cout<<dmax-dmin+x-dmin<<endl;
    else cout<<dmax-dmin+dmax-x<<endl;
    return 0;
}